Subject: Re: [mile] OPS-DIR Review of draft-ietf-mile-iodef-guidance-10

From: Kathleen Moriarty <[email-masked]>
Date: Fri, 25 Aug 2017 21:23:11 -0400

Thank you for your review.  The editors will respond and update as
needed.  Copying mile to help with the response.

Best regards,
Kathleen

On Thu, Aug 17, 2017 at 11:15 PM, Qin Wu <[email-masked]> wrote:
> I have reviewed this document as part of the Operational directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
> These comments were written with the intent of improving the operational
> aspects of the IETF drafts. Comments that are not addressed in last call may
> be included in AD reviews during the IESG review.  Document editors and WG
> chairs should treat these comments just like any other last call comments.
>
>
>
> Summary:
>
> This document provides usage guideline for The Incident Object Description
> Exchange Format v2.
>
> It is almost ready for publication. The readability needs to be improved a
> little bit.
>
> Major Issues:
>
> Section 3.1, 3rd paragraph:
>
> Confused, Which elements are required by IODEF v2 specification? Email or
> type and role attributes? Isn’t contact class part of IODEF v2
> specification?
>
> Section 5.2 2nd paragraph said:
>
> “
>
> Interoperability between RID agents and the standards, Use of
>
> [RFC6545] and [RFC6546], were also proven in this exercise.
>
> “
>
> Interoperability between RID agents or Interoperability between RID agents
> and standards?
>
> Use of[RFC6545] and [RFC6546] is proven? Please make clear in the text.
>
>
>
> Minor Issues:
>
> Section 3.1 2nd paragraph:
>
> Consistent with the figure in section 3.1
>
> s/ minimal Incident class needs/ minimal-style Incident class needs
>
> Section 3.2 4th paragraph:
>
> OLD TEXT:
>
> “
>
>    For use-cases where indicators need to be described, the
>
>    IndicatorData class its classes will be implemented instead of the
>
>    EventData class.
>
> “
>
> NEW TEXT:
>
> “
>
>    For use-cases where indicators need to be described, the
>
>    IndicatorData class will be implemented instead of the
>
>    EventData class.
>
> ”
>
> Section 3.2 last paragraph:
>
> s/ relavant/relevant
>
> Section 4.1
>
> OLD TEXT:
>
> “
>
> As
>
>    external enumerations can cary greatly, implementers SHOULD only
>
>    support external enumerations that are expected to describe their
>
>    specific use-cases.
>
>
>
> ”
>
> NEW TEXT:
>
> “
>
> As external enumerations can be carried greatly, implementers SHOULD only
>
>    support external enumerations that are expected to describe their
>
>    specific use-cases.
>
>
>
> ”
>
> Section 4.3
>
> OLD TEXT:
>
> “
>
> The Indicator class can include references to other
>
>    indicators, observables and more classes the contain details about
>
>    the indicator.
>
> ”
>
> NEW TEXT:
>
> “
>
> The Indicator class can include references to other
>
> indicators, observables and more classes the contain details about
>
> the indicator.
>
> ”
>
> Section 5.1
>
> OLD TEXT:
>
> “
>
> Section 7 also
>
>    includes practical IODEF use guidelines.
>
> ”
>
> NEW TEXT:
>
> “
>
> “
>
> Section 7 also
>
>    includes practical IODEF usage guidelines.
>
> ”
>
>
>
> ”
>
> Section 5.2 1st paragraph:
>
> s/ compteting /competing
>
> Nits:
>
> Please run nit-check to fix 3 errors and 3 warnings.
>
>
>
> -Qin

-- 

Best regards,
Kathleen

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Wed, 30 Aug 2017 15:58:16 +0000

Thank you. 

We just addressed all these. We also made updates to section 3.1 to show more intuitively the MTI IODEF classes and attributes.

All changes will be reflected in the next iteration that will be addressed the IESG comments. 

Panos

-----Original Message-----
From: mile [mailto:[email-masked]] On Behalf Of Kathleen Moriarty
Sent: Friday, August 25, 2017 9:23 PM
To: Qin Wu <[email-masked]>; MILE IETF <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [mile] OPS-DIR Review of draft-ietf-mile-iodef-guidance-10

Thank you for your review.  The editors will respond and update as needed.  Copying mile to help with the response.

Best regards,
Kathleen

On Thu, Aug 17, 2017 at 11:15 PM, Qin Wu <[email-masked]> wrote:
> These comments were written with the intent of improving the 
> operational aspects of the IETF drafts. Comments that are not 
> addressed in last call may be included in AD reviews during the IESG 
> review.  Document editors and WG chairs should treat these comments just like any other last call comments.
>
>
>
> Summary:
>
> This document provides usage guideline for The Incident Object 
> Description Exchange Format v2.
>
> It is almost ready for publication. The readability needs to be 
> improved a little bit.
>
> Major Issues:
>
> Confused, Which elements are required by IODEF v2 specification? Email 
> or type and role attributes? Isn’t contact class part of IODEF v2 
> specification?
>
> Interoperability between RID agents or Interoperability between RID 
> agents and standards?
>

-- 

Best regards,
Kathleen

_______________________________________________
mile mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mile